package com.xunmei.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.xunmei.common.core.web.domain.BaseEntity;

/**
 * 区域采集点对象 sys_area_check
 *
 * @author xunmei
 * @date 2023-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_area_check")
@ApiModel(value = "SysAreaCheck对象", description = "区域采集点")
public class SysAreaCheck extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 采集点名称
     */
    @ApiModelProperty(value = "采集点名称")
    private String checkName;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long areaId;

    /**
     * 机构id
     */
    @ApiModelProperty(value = "机构id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    private String updateId;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)


                .append("id", getId())


                .append("checkName", getCheckName())


                .append("areaId", getAreaId())


                .append("orgId", getOrgId())


                .append("createTime", getCreateTime())


                .append("updateTime", getUpdateTime())


                .append("updateId", getUpdateId())


                .append("createBy", getCreateBy())


                .append("delFlag", getDelFlag())


                .append("updateBy", getUpdateBy())
                .toString();
    }
}
